View Issue Details

IDProjectCategoryView StatusLast Update
0013600LazarusLCLpublic2013-09-03 12:07
ReporterGraeme Geldenhuys Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0013600: GTK2 tooltips - theme changed while app is running
DescriptionGTK2 tooltips now use the native look of GTK2 applications. But when the theme is changed while the application is running, the tooltip theme still displays in the old theme colors. All other GTK2 applications update at runtime.
TagsNo tags attached.
Fixed in Revision19683
LazTarget1.4
WidgetsetGTK 2
Attached Files

Activities

Vincent Snijders

2009-04-28 13:00

manager   ~0027154

A related issue exist(ed) for win32.

Paul Ishenin

2009-04-29 09:23

manager   ~0027168

Please test and close if ok.

Graeme Geldenhuys

2009-04-29 11:47

reporter   ~0027178

Wow, that was quick! ;-)
Tested and it works perfectly now. Thanks.

Issue History

Date Modified Username Field Change
2009-04-28 12:15 Graeme Geldenhuys New Issue
2009-04-28 12:15 Graeme Geldenhuys Widgetset => GTK 2
2009-04-28 13:00 Vincent Snijders Note Added: 0027154
2009-04-28 13:00 Vincent Snijders LazTarget => post 1.2
2009-04-28 13:00 Vincent Snijders Status new => acknowledged
2009-04-29 09:23 Paul Ishenin Fixed in Revision => 19683
2009-04-29 09:23 Paul Ishenin Status acknowledged => resolved
2009-04-29 09:23 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-04-29 09:23 Paul Ishenin Resolution open => fixed
2009-04-29 09:23 Paul Ishenin Assigned To => Paul Ishenin
2009-04-29 09:23 Paul Ishenin Note Added: 0027168
2009-04-29 11:47 Graeme Geldenhuys Status resolved => closed
2009-04-29 11:47 Graeme Geldenhuys Note Added: 0027178
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4